Estimation & Costing

Endpoints related to estimation & costing.

GET /castor-costing/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
POST /castor-costing/

Creates a new Castor Costing.

Creates a new Castor Costing. This function: 1) creates a promise in db:castor_costing, 2) notifies nautilus-backend to a transaction to Castor3dAPI, 3) returns URI of promised location to have data when transaction / updates are done.

Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /castor-costing/{uuid}/

Returns a single costing. For now, if not working, or an error state,

Returns a single costing. For now, if not working, or an error state, re-triggers an async update of costing from Castor3d

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /castor-costing/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /castor-costing/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /custom-print-time-estimator/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
POST /custom-print-time-estimator/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /custom-print-time-estimator/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /custom-print-time-estimator/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /custom-print-time-estimator/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /castor-costing-config/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
POST /castor-costing-config/

Create a new Castor Costing

Create a new Castor Costing

Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /castor-costing-config/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /castor-costing-config/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /castor-costing-config/{uuid}/

Handler fo HTTPS DELETE call. Deletes resources on peer service async.

Handler fo HTTPS DELETE call. Deletes resources on peer service async. Our own db delete happens async in the backend, after peer API resources are deleted.

Parameters:
  • uuid (string) – costing config uuid.

  • uuid – The UUID of the resource

Return:

tuple response.

Status Codes: